/*
   Copyright (c) 2015, Majenko Technologies
   All rights reserved.

   Redistribution and use in source and binary forms, with or without modification,
   are permitted provided that the following conditions are met:

 * * Redistributions of source code must retain the above copyright notice, this
     list of conditions and the following disclaimer.

 * * Redistributions in binary form must reproduce the above copyright notice, this
     list of conditions and the following disclaimer in the documentation and/or
     other materials provided with the distribution.

 * * Neither the name of Majenko Technologies nor the names of its
     contributors may be used to endorse or promote products derived from
     this software without specific prior written permission.

   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
   ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
   ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/* Create a WiFi access point and provide a web server on it. */

#include <ESP8266WiFi.h>
#include <WiFiClient.h>
#include <ESP8266WebServer.h>

/* Set these to your desired credentials. */
const char *ssid = "Kevin";
const char *password = "?Gnu38Forever!83";

ESP8266WebServer server(80);

/* Just a little test message.  Go to http://192.168.4.1 in a web browser
   connected to this access point to see it.
*/
void handleRoot() {
  server.send(200, "text/html", "<h1>Interface Kevin</h1><form method='post'><table><tr><td colspan=2>1</td></tr><tr><td><input type=submit name=action value='A'></td><td><input type=submit name=action value='B'></td></tr><tr><td colspan=2>2</td></tr><tr><td><input type=submit name=action value='C'></td><td><input type=submit name=action value='D'></td></tr><tr><td colspan=2>3</td></tr><tr><td><input type=submit name=action value='E'></td><td><input type=submit name=action value='F'></td></tr><tr><td colspan=2>4</td></tr><tr><td><input type=submit name=action value='G'></td><td><input type=submit name=action value='H'></td></tr><tr><td colspan=2>5</td></tr><tr><td><input type=submit name=action value='I'></td><td><input type=submit name=action value='J'></td></tr><tr><td colspan=2>6</td></tr><tr><td><input type=submit name=action value='K'></td><td><input type=submit name=action value='L'></td></tr><tr><td colspan=2>7</td></tr><tr><td><input type=submit name=action value='M'></td><td><input type=submit name=action value='N'></td></tr><tr><td colspan=2>8</td></tr><tr><td><input type=submit name=action value='O'></td><td><input type=submit name=action value='P'></td></tr><tr><td colspan=2>initialisation</td></tr><tr><td colspan=2><input type=submit name=action value=''></td></tr></table></form>");
 
/*  
  server.send(200, "text/html", "<h1>Interface Kevin</h1>");
  *   
 */
}

void setup() {
  delay(1000);
  Serial.begin(9600);
  ///Serial.println();
  ///Serial.print("Configuring access point...");
  /* You can remove the password parameter if you want the AP to be open. */
  WiFi.softAP(ssid, password);

  IPAddress myIP = WiFi.softAPIP();
  ///Serial.print("AP IP address: ");
  ///Serial.println(myIP);
  server.on("/", handleRoot);
  server.begin();
  ///Serial.println("HTTP server started");
}

void loop() {
  server.handleClient();
  String gpio = server.arg("action");
  //server.on("/gpio", updateGpio);
  if ( gpio.length() != 0)
  {
    //Serial.print("recu");
    Serial.print(gpio);
  }
}
